# $Revision: 1.3 $, $Date: 2002/07/23 15:54:27 $
%include	/usr/lib/rpm/macros.php
%define		_class		Math
%define		_subclass	Stats
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - Classes to calculate statistical parameters
Summary(pl):	%{_class}_%{_subclass} - klasy do obliczania parametrw statystycznych
Name:		php-pear-%{_pearname}
Version:	0.8.3
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes to calculate statistical parameters of numerical arrays of
data. The data can be in a simple numerical array, or in a cummulative
numerical array. A cummulative array, has the value as the index and
the number of repeats as the value for the array item, e.g. $data =
array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3). Nulls can be rejected, ignored
or handled as zero values.

%description -l pl
Ten pakiet zawiera klasy suce do obliczania parametrw
statystycznych z tablic danych. Dane mog by w zwykej tablicy
numerycznej lub w tablicy skumulowanej. Tablica skumulowana zawiera
indeksy i liczby wystpie wartoci dla elementu tablicy, np. $data =
array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3). Puste elementy mog by
odrzucone, ignorowane lub taktowane jako wartoci zerowe.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php	$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{examples/*,README*}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Math_Stats.spec,v $
Revision 1.3  2002/07/23 15:54:27  kloczek
- release 2.

Revision 1.2  2002/07/23 14:00:09  qboosh
- pl description

Revision 1.1  2002/07/17 13:30:57  blues
- initial release
